From 5394acd8f7c746b264d9b2a7290e4a07f47918cc Mon Sep 17 00:00:00 2001
From: Francois-Xavier Coudert <fxcoudert@gcc.gnu.org>
Date: Fri, 17 Nov 2023 12:50:42 +0100
Subject: [PATCH] Build: fix error in fixinclude configure

The stray line defining enable_darwin_at_rpath outside of the scope of
_LT_DARWIN_LINKER_FEATURES is a mistake and should be removed. It leads
to a wrong line in fixincludes/ChangeLog because there is no $1 argument
at that point.

ChangeLog:

	* libtool.m4: Fix stray call

fixincludes/ChangeLog:

	* configure: Regenerated.
---
 fixincludes/configure | 1 -
 libtool.m4            | 1 -
 2 files changed, 2 deletions(-)

diff --git a/fixincludes/configure b/fixincludes/configure
index 1bb547a1724..662c94dc112 100755
--- a/fixincludes/configure
+++ b/fixincludes/configure
@@ -3027,7 +3027,6 @@ ac_configure="$SHELL $ac_aux_dir/configure"  # Please don't use this var.
 # ---------------------------
 # _LT_COMPILER_PIC
 
-enable_darwin_at_rpath_$1=no
 
 # _LT_LINKER_SHLIBS([TAGNAME])
 # ----------------------------
diff --git a/libtool.m4 b/libtool.m4
index 7f8ae26db62..add2d4a1e23 100644
--- a/libtool.m4
+++ b/libtool.m4
@@ -4312,7 +4312,6 @@ _LT_TAGDECL([link_static_flag], [lt_prog_compiler_static], [1],
 	[Compiler flag to prevent dynamic linking])
 ])# _LT_COMPILER_PIC
 
-_LT_TAGVAR(enable_darwin_at_rpath, $1)=no
 
 # _LT_LINKER_SHLIBS([TAGNAME])
 # ----------------------------
-- 
2.39.3 (Apple Git-145)

